GrailsPluginInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Interface GrailsPluginInfo

    public interface GrailsPluginInfo

Base interface that just contains information about a particular plugin.

Authors:
  Graeme Rocher

Since:
  1.3

Field Summary
`java.lang.String` | `NAME` The name of the plugin
`java.lang.String` | `TRAILING_NAME` Defines the convention that appears within plugin class names
`java.lang.String` | `VERSION` Defines the name of the property that specifies the plugin version

Method Summary
`Resource` | `getDescriptor()` Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)
`java.lang.String` | `getFullName()` @return The full name of the plugin including version
`java.lang.String` | `getName()` @return The name of the plug-in
`Resource` | `getPluginDir()` @return The directory where the plugin exists or null if it cannot be read
`java.util.Map` | `getProperties()` Gets the properties of the plugin as a map
`java.lang.String` | `getVersion()` @return The version of the plug-in

Field Detail

### NAME

    public java.lang.String NAME

  The name of the plugin

### TRAILING_NAME

    public java.lang.String TRAILING_NAME

  Defines the convention that appears within plugin class names

### VERSION

    public java.lang.String VERSION

  Defines the name of the property that specifies the plugin version

Method Detail

### getDescriptor

    public Resource getDescriptor()

  Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)
  Returns:
    The resource

### getFullName

    public java.lang.String getFullName()

  Returns:
    The full name of the plugin including version

### getName

    public java.lang.String getName()

  Returns:
    The name of the plug-in

### getPluginDir

    public Resource getPluginDir()

  Returns:
    The directory where the plugin exists or null if it cannot be read

### getProperties

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.Map getProperties()

  Gets the properties of the plugin as a map
  Returns:
    A map of the properties

### getVersion

    public java.lang.String getVersion()

  Returns:
    The version of the plug-in

Groovy Documentation